Package org.gradle.api.tasks.scala

## Class ScalaCompileOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions
  - - org.gradle.language.scala.tasks.BaseScalaCompileOptions
    - - org.gradle.api.tasks.scala.ScalaCompileOptions

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ScalaCompileOptions
      extends BaseScalaCompileOptions

  Options for Scala Compilation.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScalaCompileOptions()` |

  - ### Method Summary

    - ### Methods inherited from class org.gradle.language.scala.tasks.BaseScalaCompileOptions

      `getAdditionalParameters, getDebugLevel, getEncoding, getForkOptions, getIncrementalOptions, getKeepAliveMode, getLoggingLevel, getLoggingPhases, getObjectFactory, isDeprecation, isFailOnError, isForce, isListFiles, isOptimize, isUnchecked, setAdditionalParameters, setDebugLevel, setDeprecation, setEncoding, setFailOnError, setForce, setForkOptions, setIncrementalOptions, setListFiles, setLoggingLevel, setLoggingPhases, setOptimize, setUnchecked`

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractOptions

      `define`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScalaCompileOptions

          public ScalaCompileOptions()